%{!?tcp_wrappers:%define tcp_wrappers 1}

Summary: A collection of SNMP protocol tools and libraries.
Name: net-snmp
Version: 5.1
Release: 2.13AX
License: BSDish
Group: System Environment/Daemons
Source0: ftp://net-snmp.sourceforge.net/net-snmp-%{version}.tar.gz
Source1: net-snmp.redhat.conf
Source2: net-snmpd.init
Source3: net-snmptrapd.init
Source4: net-snmpd.logrotate
Source5: ucd5820stat
Patch1: ucd-snmp-4.2.4.pre3-mnttab.patch
Patch2: net-snmp-5.0.1-initializer.patch
Patch3: net-snmp-5.0.6-syslog.patch
Patch4: net-snmp-5.0.6-compat.patch
Patch5: net-snmp-5.0.6-libtool.patch
Patch6: net-snmp-5.0.8-ipv6-sock-close.patch
Patch7: net-snmp-5.0.8-readonly.patch
Patch8: net-snmp-5.1-libwrap.patch
Patch9: net-snmp-5.1-sensors.patch
Patch10: net-snmp-5.1-getopt.patch
Patch11: net-snmp-5.1-xs-label-iid.patch
Patch12: net-snmp-5.1-async-getnext.patch
Patch13: net-snmp-5.1-hr_storage-mbuf-v2.patch
Patch17: net-snmp-5.0.9-smux-stack-var.patch
Patch20: net-snmp-5.1-exec.patch
Patch21: net-snmp-5.1-agent_trap.patch
Patch22: net-snmp-5.1-gigabit.patch
Patch23: net-snmp-5.1-memoverflow.patch
#Patch24: net-snmp-5.1-ethtool.patch
Patch25: net-snmp-5.1-hrproc.patch
Patch26: net-snmp-5.1-mktemp.diff
Patch27: net-snmp_5.1.1-tcpdosfix.diff
Patch28: net-snmp-5.1-ipAddr.c.patch
Patch29: net-snmp-5.1.2-ethtool.patch
Patch30: net-snmp-5.1-64bit.patch
Patch31: net-snmp-5.1.2-snmp_vlog_varargs_retraversal.patch
Patch32: net-snmp-5.1-maxreps.patch

Patch66: net-snmp-5.4.1-hmac-check.patch
Patch67: net-snmp-5.1.2-perl-snprintf.patch
Patch68: net-snmp-5.1.2-getbulk-crash.patch
Patch69: net-snmp-5.0.9-libwrap2.patch
Patch70: net-snmp-5.0.9-getbulk-crash2.patch

Prereq: /sbin/chkconfig
Obsoletes: ucd-snmp
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: openssl-devel, bzip2-devel, beecrypt-devel, elfutils-devel
%ifarch %{ix86}
BuildPrereq: lm_sensors-devel
%endif
%if %{tcp_wrappers}
BuildPrereq: tcp_wrappers
%endif

#%define __libtoolize /bin/true

%{expand: %%define _includedir	%{_includedir}/%{name}}

%description
SNMP (Simple Network Management Protocol) is a protocol used for
network management. The NET-SNMP project includes various SNMP tools:
an extensible agent, an SNMP library, tools for requesting or setting
information from SNMP agents, tools for generating and handling SNMP
traps, a version of the netstat command which uses SNMP, and a Tk/Perl
mib browser. This package contains the snmpd and snmptrapd daemons,
documentation, etc.

You will probably also want to install the net-snmp-utils package,
which contains NET-SNMP utilities.

%package utils
Group: Applications/System
Summary: Network management utilities using SNMP, from the NET-SNMP project.
Requires: net-snmp = %{version}
Obsoletes: ucd-snmp-utils

%description utils
The net-snmp-utils package contains various utilities for use with the
NET-SNMP network management project.

Install this package if you need utilities for managing your network
using the SNMP protocol. You will also need to install the net-snmp
package.

%package devel
Group: Development/Libraries
Summary: The development environment for the NET-SNMP project.
Requires: net-snmp = %{version}
Obsoletes: ucd-snmp-devel

%description devel
The net-snmp-devel package contains the development libraries and
header files for use with the NET-SNMP project's network management
tools.

Install the net-snmp-devel package if you would like to develop
applications for use with the NET-SNMP project's network management
tools. You'll also need to have the net-snmp and net-snmp-utils
packages installed.

%package perl
Group: Development/Libraries
Summary: The perl NET-SNMP module and the mib2c tool.
Requires: net-snmp = %{version}, perl >= 5
BuildRequires: perl >= 5

%description perl
The net-snmp-perl package contains the perl files to use SNMP from within
Perl.

Install the net-snmp-perl package, if you want to use mib2c or SNMP with perl.

%prep
%setup -q
%patch1 -p1 -b .mnttab
%patch2 -p1 -b .initializer
%patch3 -p1 -b .syslog
%patch4 -p1 -b .compat
%patch5 -p1 -b .libtool
%patch6 -p1 -b .ipv6-sock-close
%patch7 -p1 -b .readonly
%patch8 -p1 -b .libwrap
%ifarch %{ix86}
%patch9 -p1 -b .sensors
%endif
%patch10 -p1 -b .getopt
%patch11 -p1 -b .xs-label-iid
%patch12 -p1 -b .async-getnext
%patch13 -p1 -b .hr_storage-mbuf-v2
%patch17 -p1 -b .stack

%patch20 -p1 -b .exec
%patch21 -p1 -b .agent_trap
%patch22 -p1 -b .giga
%patch23 -p1 -b .memoverflow
#%patch24 -p1 -b .ethtool
%patch25 -p1 -b .hrproc
%patch26 -p0 -b .mktemp
%patch27 -p1 -b .tcpdos
%patch28 -p1 -b .ipAddr.c
%patch29 -p1 -b .ethtool
%patch30 -p1 -b .64bit
%patch31 -p1 -b .long_args
%patch32 -p1 -b .maxreps

%patch66 -p1 -b .hmac-check
%patch67 -p1 -b .perl-snprinf
%patch68 -p1 -b .getbulk-crash
%patch69 -p1 -b .libwrap2
%patch70 -p1 -b .getbulk-crash2

# Do this patch with a perl hack...
perl -pi -e "s|'\\\$install_libdir'|'%{_libdir}'|" ltmain.sh

%build
%ifarch ia64 x86_64 s390x ppc64
export LDFLAGS="-L%{_libdir}"
%endif
%configure \
	--enable-static --enable-shared			\
	--with-cflags="$RPM_OPT_FLAGS"			\
	--with-sys-location="Unknown"			\
	--with-logfile="/var/log/snmpd.log"		\
	--with-persistent-directory="/var/net-snmp"	\
	--with-mib-modules="host agentx smux"		\
%if %{tcp_wrappers}
	--with-libwrap=%{_libdir}			\
%endif
	--sysconfdir=%{_sysconfdir}			\
	--enable-ipv6					\
	--enable-ucd-snmp-compatibility			\
	--with-sys-contact="root@localhost" <<EOF


EOF

make

pushd perl
# Use just built libs for perl module building, not the system libs.
perl Makefile.PL -NET-SNMP-IN-SOURCE=true PREFIX=${RPM_BUILD_ROOT}/%{_prefix} INSTALLDIRS=vendor
make
popd

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall  ucdincludedir=${RPM_BUILD_ROOT}/usr/include/ucd-snmp

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/snmp
install -m 644 %SOURCE1 ${RPM_BUILD_ROOT}%{_sysconfdir}/snmp/snmpd.conf

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
install -m 755 %SOURCE2 ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/snmpd
install -m 755 %SOURCE3 ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/snmptrapd

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/snmpd

install -d ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 %SOURCE5 ${RPM_BUILD_ROOT}%{_bindir}/ucd5820stat

rm -f ${RPM_BUILD_ROOT}%{_bindir}/snmpinform
rm -f ${RPM_BUILD_ROOT}%{_bindir}/tkmib
rm -f ${RPM_BUILD_ROOT}%{_bindir}/snmpcheck
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/snmpconf.1*
ln -s snmptrap ${RPM_BUILD_ROOT}/usr/bin/snmpinform

# copy missing mib2c.conf files
cp local/mib2c.*.conf ${RPM_BUILD_ROOT}%{_datadir}/snmp

pushd perl
make install_vendor
eval $(perl '-V:installvendorlib')

# Urgs, what an evil hack. Brrr.
%if "%{_libdir}" == "/usr/lib64"
installvendorlib=`echo $installvendorlib | sed 's/lib/lib64/'`
%endif

find $RPM_BUILD_ROOT%{_libdir} -name Makefile.subs.pl | xargs rm -f
find $RPM_BUILD_ROOT%{_libdir} -name perllocal.pod | xargs rm -f
find $RPM_BUILD_ROOT%{_libdir} -name .packlist | xargs rm -f

find $RPM_BUILD_ROOT/$installvendorlib -type f -print \
        -o -type d -a \
        -name NetSNMP -printf '%%%%dir %%p\n' \
        -o -name SNMP -printf '%%%%dir %%p\n' | \
        sed "s@$RPM_BUILD_ROOT@@g" > ../perl.lst
popd
find $RPM_BUILD_ROOT -name '*.so' | xargs chmod 0755


%post
/sbin/ldconfig
/sbin/chkconfig --add snmpd 
/sbin/chkconfig --add snmptrapd

%preun
if [ $1 = 0 ]; then
   service snmpd stop >/dev/null 2>&1
   /sbin/chkconfig --del snmpd
   service snmptrapd stop >/dev/null 2>&1
   /sbin/chkconfig --del snmptrapd
   # remove stale autogenerated file
   rm -f %{_datadir}/snmp/mibs/.index
fi

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
    service snmpd condrestart >/dev/null 2>&1 || :
    service snmptrapd condrestart >/dev/null 2>&1 || :
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc	AGENT.txt COPYING ChangeLog EXAMPLE.conf FAQ NEWS PORTING README* TODO
%doc	local/passtest local/README.mib2c local/ipf-mod.pl
%dir	%{_sysconfdir}/snmp
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/snmpd
%config(noreplace) %{_sysconfdir}/rc.d/init.d/snmptrapd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmpd
%{_datadir}/snmp
%{_libdir}/lib*.so.*
%{_bindir}/ucd5820stat
%{_sbindir}/snmpd
%{_sbindir}/snmptrapd
%attr(0644,root,root)	%{_mandir}/man[58]/*

%files utils
%defattr(-,root,root,-)

%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/encode_keychange
%{_bindir}/snmpbulkget
%{_bindir}/snmpbulkwalk
%{_bindir}/snmpconf
%{_bindir}/snmpdelta
%{_bindir}/snmpdf
%{_bindir}/snmpget
%{_bindir}/snmpgetnext
%{_bindir}/snmpinform
%{_bindir}/snmpnetstat
%{_bindir}/snmpset
%{_bindir}/snmpstatus
%{_bindir}/snmptable
%{_bindir}/snmptest
%{_bindir}/snmptranslate
%{_bindir}/snmptrap
%{_bindir}/snmpusm
%{_bindir}/snmpwalk
%{_bindir}/snmpvacm
%{_bindir}/traptoemail
%attr(0644,root,root)	%{_mandir}/man1/mib2c.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpbulkwalk.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpbulkget.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpcmd.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpdelta.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpdf.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpget.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpgetnext.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpinform.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpnetstat.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpset.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpstatus.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptable.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptest.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptranslate.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptrap.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpusm.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpwalk.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpvacm.1*

%files devel
%defattr(0644,root,root,0755)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}
/usr/include/ucd-snmp
%attr(0644,root,root)	%{_mandir}/man3/*.3.*
%attr(0755,root,root)	%{_bindir}/net-snmp-config

%files perl -f perl.lst
%defattr(-,root,root)
%{_bindir}/mib2c
%attr(0644,root,root)   %{_mandir}/man3/*.3pm.*

%changelog
* Wed Jul  1 2009 Ryoji Kamei <kamei@miraclelinux.com> - 5.1-2.13AX
- Fix a divide-by-zero flow in snmpd (CVE-2009-1887) (AX BUG#6493,patch70)

* Thu Apr  16 2009 Li Jiangsheng <jsli@redflag-linux.com> - 5.1-2.12AX
- Fix libwrap2 (CVE-2008-6123)(bug 5947,patch 69)
 
* Wed Nov  5 2008 Mika Kamei <mkamei@miraclelinux.com> - 5.1-2.11AX
- fix crash in bulk request processing (CVE-2008-4309) (Patch68)

* Tue Jul  8 2008 Masayuki Moriyama <moriyama@miraclelinux.com> - 5.1-2.10AX
- fix buffer overflow in perl module (CVE-2008-2292) (Patch66)
- fix SNMPv3 authentication checks (CVE-2008-0960) (Patch67)

* Tue Nov 20 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com> 5.1-2.9AX
- applied a security fix for CVE-2007-5846(maxreps RHBug#363631)

* Tue Oct  3 2006 OGAWA Hirofumi <hogawa@miraclelinux.com> - 5.1-2.8AX
- replace and net-snmp-5.1-ethtool.patch with new strategy's net-snmp-5.1.2-ethtool.patch.
- Patch fixing uninitalized stack variable in smux_trap_process (#130179)
- fix snmptrapd segv with long trap (#187106)
- fix int/long mixup for 64-bit
- changed the spec file to see /usr/lib64 while compiling(AX#1906)

* Thu Jun 22 2006 Takeshi Shoji <tshoji@miraclelinux.com> 5.1-2.7AX
- applied patch28 for ipAdEntIfIndex fix.
- ifIndex and ipAdEntIfIndex do not match (#1603)

* Mon Dec 12 2005 Hiroshi HARA <hhara@miraclelinux.com> 5.1-2.6AX
- security fixing Dos CVE-2005-2177
- security fixing insecure temporary file usage CVE-2005-1740

* Mon Dec  5 2005 Shiro Yamada <shiro@miraclelinux.com> 5.1-2.5AX
- change MAX_NUM_HRPROC to 32. (patch25)

* Mon Mar 28 2005 Shiro Yamada <shiro@miraclelinux.com> 5.1-2.4AX
- apply ethtool_cmd structure.

* Thu Feb 09 2005 Shiro Yamada <shiro@miraclelinux.com> 5.1-2.3AX
- apply patch21 for fixing trap which always return 0.0.0.0 for IP addr.
- apply patch22 for correctly displaying speed of gigabit ether.
- apply patch23 for retrieving value of over 4GB memory under ia32.

* Thu Nov 04 2004 Yasuma Takeda <yasuma@miraclelinux.com> 5.1-2.2AX
- fix run_exec_command not returning

* Thu Dec 11 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-2.1
- Built Fedora Core 1 update.

* Wed Dec 10 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-3
- Removed snmpcheck again, needs perl(Tk) which we don't ship (#111194).
- Fixed getopt definition in include file (#111209).
- Included Kaj J. Niemi's patch for broken perl module (#111319).
- Included Kaj J. Niemi's patch for broken async getnext perl call (#111479).
- Included Kaj J. Niemi's patch for broken hr_storage (#111502).

* Wed Nov 26 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-2
- Included BuildPrereq on lm_sensors-devel on x86 archs (#110616).
- Fixed deprecated initscript options (#110618).

* Wed Nov 19 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-1
- Updated to latest net-snmp-5.1 upstream version.
- Tons of specfile and patch cleanup.
- Cleaned up perl stuff (mib2c etc, see #107707).
- Added lm_sensors support patch for x86 archs from Kaj J. Niemi (#107618).
- Added support for custom mib paths and mibs to snmptrapd initscript (#102762)

* Mon Oct 13 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.9-2
- Due to rpm-devel we need elfutils-devel, too (#103982).

* Mon Sep 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.9-1
- Updated to latest upstream version net-snmp-5.0.9
- Added patch to fix net-snmp-perl problems (#105842).

* Tue Sep 23 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- allow compiling without tcp_wrappers

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-11.1
- rebuilt

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-11
- Fixed permission for net-snmp-config in net-snmp-devel

* Mon Sep 08 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-10.1
- rebuilt

* Mon Sep 08 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-10
- Moved net-snmp-config into devel package (#103927)

* Fri Aug 22 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-9.1
- rebuilt

* Thu Aug 21 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-9
- Added sample config to make net-snmp RFC 1213 compliant.

* Fri Aug 15 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-8
- Fixed problem with perl option (#102420).
- Added patch for libwrap fix (#77926).

* Tue Aug 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-7.1
- rebuilt

* Tue Aug 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-7
- Fixed build problems on ppc64
- Fixed double packaged manpages (#102075).

* Thu Aug 07 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed problem with new proc output (#98619, #89960).

* Wed Aug 06 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed ro/rw problem with v2 and v3 request (#89612)

* Tue Aug 05 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed permission problem for debuginfo (#101456)

* Thu Jul 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-6.1
- Fixed file list for latest build.

* Thu Jul 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-6
- Fixed build problems for net-snmp-perl.

* Sun Jul 27 2003 Florian La Roche <Florian.LaRoche@redhat.de> 5.0.8-5
- actually apply ipv6 patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-3
- bumped release and rebuilt.

* Tue Apr 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-2
- Hack to make it build on 64bit platforms with /usr/lib64 correctly.
- Fixed bug #85071 (leak of open descriptors for ipv6).

* Fri Mar 28 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-1
- Updated to latest upstream version 5.0.8 (bug #88580)

* Thu Feb 13 2003 Phil Knirsch <pknirsch@redhat.com>
- Included generation of perl stuff. Thanks to Harald Hoyer.

* Wed Feb 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.7-1
- Updated to net-snmp-5.0.7. Fixed especially the performance problem with
  limited trees.

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-17
- Fixed ucd-snmp.redhat.conf (#78391).
- Fixed snmpwalk examples in config file.

* Mon Feb 10 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-15
- Fixed invalid SMUX packet (#83487).

* Thu Feb 06 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-14
- Fixed the libdir problem.

* Wed Feb 05 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-13
- Updated the old libtool rpath patch.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 5.0.6-12
- rebuilt

* Tue Jan 14 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-11
- Updated nolibelf patch and activated it again.

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 5.0.6-10
- Rebuild

* Tue Dec 17 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-9
- Added bzip2-devel to BuildPreReq (#76086, #70199).

* Thu Nov 28 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-8
- Added patch to increase SMUXMAXSTRLEN. 

* Thu Nov  7 2002 Tim Powers <timp@redhat.com> 5.0.6-6
- rebuilt to fix broken deps
- remove files from the buildroot that we don't want to ship

* Thu Nov  7 2002 Joe Orton <jorton@redhat.com> 5.0.6-5
- add fix for -DUCD_COMPATIBLE (#77405)

* Thu Nov 07 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-4
- Another bump required. Some more specfile changes.

* Wed Nov 06 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-3
- Bumped release and rebuilt.
- Removed all dbFOO cruft again.

* Wed Oct 09 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-2
- Updated to latest released version.

* Sat Aug 31 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not link against -lelf

* Thu Jun 27 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.1-5
- Added --enable-ucd-snmp-compatibility for compatibility with older version
  and fixed installation thereof.
- Got rid of the perl(Tk) dependancy by removing snmpcheck.
- Include /usr/include/ucd-snmp in the filelist.
- Fixed a problem with the ucd-snmp/version.h file.

* Wed Jun 26 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.1-1
- Updated to 5.0.1
- Dropped --enable-reentrant as it's currently broken

* Tue Apr 23 2002 Phil Knirsch <pknirsch@redhat.com> 5.0-1
- Switch to latest stable version, 5.0
- Renamed the packate to net-snmp and obsoleted ucd-snmp.

* Wed Apr 17 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4-3
- Fixed problem with reload in initscript (#63526).

* Mon Apr 15 2002 Tim Powers <timp@redhat.com> 4.2.4-2
- rebuilt in new environment

* Mon Apr 15 2002 Tim Powers <timp@redhat.com> 4.2.4-1
- update to 4.2.4 final

* Sat Apr 13 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-5
- Added some missing files to the %files section.

* Tue Apr 09 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-4
- Hardcoded the ETC_MNTTAB to point to "/etc/mtab".

* Mon Apr 08 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-3
- Removed the check for dbFOO as we don't want to add another requirement.

* Fri Apr 05 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-2
- Added missing BuildPrereq to openssl-devel (#61525)

* Thu Apr 04 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-1
- Added ucd5820stat to the files section.
- Updated to latest version (4.2.4.pre3)

* Mon Mar 18 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre2-1
- Updated to latest version (4.2.4.pre2)

* Tue Jan 29 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.3-4
- Added the snmptrapd init script as per request (#49205)
- Fixed the again broken rpm query stuff (#57444)
- Removed all old and none-used db related stuff (libs and header checks/files)

* Mon Jan 07 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.3-2
- Included the Axioma Security Research fix for snmpnetstat from bugtraq.

* Mon Dec 03 2001 Phil Knirsch <phil@redhat.de> 4.2.3-1
- Update to 4.2.3 final.
- Fixed libtool/rpath buildroot pollution problem.
- Fixed library naming problem.

* Fri Oct  5 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a server segfault for snmpset operation (#53640). Thanks to Josh Giles
  and Wes Hardaker for the patch.

* Mon Sep 10 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed problem with RUNTESTS script.

* Tue Sep  4 2001 Preston Brown <pbrown@redhat.com>
- fixed patch related to bug #35016 (Dell)

* Fri Aug 24 2001 Philipp Knirsch <pknirsch@redhat.de> 4.2.1-6
- Fixed snmpd description (#52366)

* Wed Aug 22 2001 Philipp Knirsch <pknirsch@redhat.de>
- Final bcm5820 fix. Last one was broken.
- Fixed bugzilla bug (#51960) where the binaries contained rpath references.

* Wed Aug 15 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a couple of security issues:
  o /tmp race and setgroups() privilege problem
  o Various buffer overflow and format string issues.
  o One signedness problem in ASN handling.
- Fixed an important RFE to support bcm5820 cards. (#51125)

* Fri Jul 20 2001 Philipp Knirsch <pknirsch@redhat.de>
- Removed tkmib from the package once again as we don't ship the Tk.pm CPAN
  perl module required to run it (#49363)
- Added missing Provides for the .so.0 libraries as rpm doesn't seem to find
  those during the build anymore (it used to) (#46388)

* Thu Jul 19 2001 Philipp Knirsch <pknirsch@redhat.de>
- Enabled IPv6 support (RFE #47764)
- Hopefully final fix of snmpwalk problem (#42153). Thanks to Douglas Warzecha
  for the patch and Matt Domsch for reporting the problem.

* Tue Jun 26 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed smux compilation problems (#41452)
- Fixed wrong paths displayed in manpages (#43053)

* Mon Jun 25 2001 Philipp Knirsch <pknirsch@redhat.de>
- Updated to 4.2.1. Removed 2 obsolete patches (fromcvs and #18153)
- Include /usr/share/snmp/snmpconf in %files

* Wed Jun 13 2001 Than Ngo <than@redhat.com>
- fix to use libwrap in distro
- add buildprereq: tcp_wrappers

* Fri Jun  1 2001 Bill Nottingham <notting@redhat.com>
- add a *new* patch for IP address return sizes

* Fri Apr 20 2001 Bill Nottingham <notting@redhat.com>
- add patch so that only four bytes are returned for IP addresses on ia64 (#32244)

* Wed Apr 11 2001 Bill Nottingham <notting@redhat.com>
- rebuild (missing alpha packages)

* Fri Apr  6 2001 Matt Wilson <msw@redhat.com>
- added ucd-snmp-4.2-null.patch to correcly handle a NULL value (#35016)

* Tue Apr  3 2001 Preston Brown <pbrown@redhat.com>
- clean up deinstallation (#34168)

* Tue Mar 27 2001 Matt Wilson <msw@redhat.com>
- return a usable RETVAL when running "service snmpd status" (#33571)

* Tue Mar 13 2001 Matt Wilson <msw@redhat.com>
- configure with --enable-reentrant and added "smux" and "agentx" to
  --with-mib-modules= argument (#29626)

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Mon Feb 26 2001 Tim Powers <timp@redhat.com>
- fixed initscript, for reload and restart it was start then stop,
  fixed. (#28477)

* Fri Feb  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- i18nize initscript

* Sat Jan  6 2001 Jeff Johnson <jbj@redhat.com>
- don't depend on /etc/init.d so that package will work with 6.2.
- perl path fiddles no longer needed.
- rely on brp-compress frpm rpm to compress man pages.
- patch from ucd-snmp CVS (Wes Hardaker).
- configure.in needs to check for rpm libraries correctly (#23033).
- add simple logrotate script (#21399).
- add options to create pidfile and log with syslog with addresses (#23476).

* Sat Dec 30 2000 Jeff Johnson <jbj@redhat.com>
- package for Red Hat 7.1.

* Thu Dec 07 2000 Wes Hardaker <hardaker@users.sourceforge.net>
- update for 4.2

* Thu Oct 12 2000 Jeff Johnson <jbj@redhat.com>
- add explicit format for syslog call (#18153).

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild per Trond's request.

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error that crept in with condrestart

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript and add condrestart magic

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- fix %%attr on man pages

* Mon Jun 12 2000 Jeff Johnson <jbj@redhat.com>
- tkmib doco had #!/usr/bin/perl55
- include snmpcheck and tkmib again (still needs some CPAN module, however).

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- update to 4.1.2.
- FHS packaging.
- patch for rpm 4.0.

* Thu May 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add version to buildroot
- rebuilt with new libraries

* Sun Feb 27 2000 Jeff Johnson <jbj@redhat.com>
- default config was broken (from Wes Hardaker) (#9752)

* Sun Feb 13 2000 Jeff Johnson <jbj@redhat.com>
- compressed man pages.

* Fri Feb 11 2000 Wes Hardaker <wjhardaker@ucdavis.edu>
- update to 4.1.1

* Sat Feb  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change %postun to %preun

* Thu Feb 3 2000 Elliot Lee <sopwith@redhat.com>
- Don't ship tkmib, since we don't ship the perl modules needed to run it.
(Bug #4881)

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- default config permits RO access to system group only (Wed Hardaker).

* Sun Aug 29 1999 Jeff Johnson <jbj@redhat.com>
- implement suggestions from Wes Hardaker.

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- stateless access to rpm database.

* Wed Aug 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.0.1.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.6.2 (#3219,#3259).
- add missing man pages (#3057).

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.
